"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});

const path_1 = require("path");

const routes_1 = require("./routes");

const renderAppRouter_1 = require("./renderAppRouter");

const dTsFilePath = '@types/index.d.ts';

async function generateRouter(api) {
  api.addDepsEntryExports(() => ({
    source: 'react-router-dom'
  }));
  api.addImportToAppEntryFile(() => ({
    specifier: '{ BrowserRouter as Router }',
    source: 'react-router-dom'
  }));
  api.addImportToAppEntryFile(() => ({
    specifier: '{ RenderAppRouter }',
    source: api.resolveConfigAliasNamePath(renderAppRouter_1.filePath.replace('.tsx', ''))
  }));
  api.addContainerRenderToAppEntryFile(() => `
function renderRouter(children?: React.ReactElement) {
  return (
    <Router>
      <RenderAppRouter />

      {children}
    </Router>
  );
}`);
  api.onGenerateFiles(async () => {
    await routes_1.generateRoutes(api);
    await renderAppRouter_1.generateRenderAppRouter(api);
    await api.generateFile.copyFile(path_1.join(__dirname, '../../typings/common.d.ts'), api.resolveTmpPath(dTsFilePath));
  });
}

exports.default = generateRouter;