"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ResolvePath = void 0;

const path_1 = require("path");

class ResolvePath {
  constructor() {
    this.paths = {};
  }

  setPaths(paths) {
    this.paths = paths;
  }

  resolveTmpPath(...args) {
    return path_1.join(this.paths.absTmpPath, ...args);
  }

  resolveNodeModulesPath(...args) {
    return path_1.join(this.paths.absNodeModulesPath, ...args);
  }

  resolveSrcPath(...args) {
    return path_1.join(this.paths.absSrcPath, ...args);
  }

  resolveRootPath(...args) {
    return path_1.join(this.paths.cwd, ...args);
  }

}

exports.ResolvePath = ResolvePath;