"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.reactAutoConfig = void 0;

const tslib_1 = require("tslib");

const plugin_react_refresh_1 = tslib_1.__importDefault(require("@vitejs/plugin-react-refresh"));

const vite_react_jsx_1 = tslib_1.__importDefault(require("vite-react-jsx"));

const vite_plugin_windicss_1 = tslib_1.__importDefault(require("vite-plugin-windicss"));

const vite_plugin_style_import_1 = tslib_1.__importDefault(require("vite-plugin-style-import"));

const vite_plugin_mkcert_1 = tslib_1.__importDefault(require("vite-plugin-mkcert"));

const reactAutoConfig_1 = require("./reactAutoConfig");

const Bootstrap_1 = require("./Bootstrap");

const reactAutoConfig = async (options = {}) => {
  const bootstrap = new Bootstrap_1.Bootstrap();
  await bootstrap.init();
  const {
    userConfig
  } = bootstrap.getServer();
  const plugins = [vite_react_jsx_1.default(), reactAutoConfig_1.reactAutoConfigPluginConfig(bootstrap)];

  if (userConfig.fastRefresh !== false) {
    plugins.push(plugin_react_refresh_1.default(options.reactRefresh));
  }

  if (userConfig.antd) {
    const {
      styleImport
    } = options;
    plugins.push(vite_plugin_style_import_1.default({ ...(styleImport || {}),
      libs: [{
        libraryName: 'antd',
        esModule: true,
        resolveStyle: name => `antd/es/${name}/style/index`
      }, {
        libraryName: '@ant-design/icons',
        libraryNameChangeCase: 'pascalCase',
        resolveComponent: name => `@ant-design/icons/es/icons/${name}`
      }, ...((styleImport === null || styleImport === void 0 ? void 0 : styleImport.libs) || [])]
    }));
  }

  if (userConfig.mkcert) {
    plugins.push(vite_plugin_mkcert_1.default({
      source: 'coding',
      ...options.mkcert
    }));
  }

  if (userConfig.windiCSS) {
    plugins.push(vite_plugin_windicss_1.default());
  }

  return plugins;
};

exports.reactAutoConfig = reactAutoConfig;