"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.reactAutoConfigPluginConfig = void 0;

const vite_1 = require("vite");

const reactAutoConfigPluginConfig = bootstrap => {
  return {
    name: 'plugin-react-auto-config',
    config: () => ({
      server: {
        https: bootstrap.getServer().userConfig.mkcert
      },
      resolve: {
        alias: [{
          find: /^~/,
          replacement: ''
        }, {
          find: /^@\//,
          replacement: vite_1.normalizePath(`${bootstrap.getServer().paths.absSrcPath}/`)
        }, {
          find: new RegExp(`^${bootstrap.getServer().configPathAliasName}/`),
          replacement: vite_1.normalizePath(`${bootstrap.getServer().paths.absTmpPath}/`)
        }]
      },
      css: {
        preprocessorOptions: {
          less: {
            javascriptEnabled: true
          }
        }
      }
    }),

    async buildStart() {
      await bootstrap.run(false);
    },

    configureServer(server) {
      server.watcher.add(bootstrap.userConfigPath);
      server.watcher.on('change', filePath => {
        if (filePath.indexOf(bootstrap.userConfigPath) === 0) {
          bootstrap.getServer().logger.awaitReCompiling();
          bootstrap.debounceRun();
        }
      });
    }

  };
};

exports.reactAutoConfigPluginConfig = reactAutoConfigPluginConfig;